%global _empty_manifest_terminate_build 0

Name:       python-lhsmdu
Version:    1.1
Release:    1
Summary:    This is an implementation of Latin Hypercube Sampling with Multi-Dimensional Uniformity (LHS-MDU) from Deutsch and Deutsch, "Latin hypercube sampling with multidimensional uniformity.
License:    MIT
URL:        http://github.com/sahilm89/lhsmdu
Source0:    https://files.pythonhosted.org/packages/60/29/6f60a6c7fe534758baf2cde8bedb0524e5f9b473ad747d688ed898b30328/lhsmdu-1.1.tar.gz
BuildArch:  noarch

Requires:   python3-numpy
Requires:   python3-scipy

%description


%package -n python3-lhsmdu
Summary:    This is an implementation of Latin Hypercube Sampling with Multi-Dimensional Uniformity (LHS-MDU) from Deutsch and Deutsch, "Latin hypercube sampling with multidimensional uniformity.
Provides:   python-lhsmdu
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-lhsmdu


%package help
Summary:    Development documents and examples for lhsmdu
Provides:   python3-lhsmdu-doc
%description help


%prep
%autosetup -n lhsmdu-1.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-lhsmdu -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Aug 13 2020 Python_Bot <Python_Bot@openeuler.org> - 1.1-1
- Package init
